KDE 4.7 PyKDE API Reference

- KDE's Python API

# KSslError Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

## Enumerations
Error | { NoError, UnknownError, InvalidCertificateAuthorityCertificate, InvalidCertificate, CertificateSignatureFailed, SelfSignedCertificate, ExpiredCertificate, RevokedCertificate, InvalidCertificatePurpose, RejectedCertificate, UntrustedCertificate, NoPeerCertificate, HostNameMismatch, PathLengthExceeded }
## Methods
| __init__ (self, KSslError.Error error=KSslError.NoError, QSslCertificate cert=QSslCertificate())
| __init__ (self, QSslError error)
| __init__ (self, KSslError other)
QSslCertificate | certificate (self)
KSslError.Error | error (self)
QString | errorString (self)

## Method Documentation

__init__ | ( | self, |
|  | KSslError.Error | error=KSslError.NoError,
|  | QSslCertificate | cert=QSslCertificate()
| ) |  |  |

__init__ | ( | self, |
|  | QSslError | error
| ) |  |  |

__init__ | ( | self, |
|  | KSslError | other
| ) |  |  |

QSslCertificate certificate | ( |  | self ) |

KSslError.Error error | ( |  | self ) |

QString errorString | ( |  | self ) |

## Enumeration Documentation

Error

Enumerator:

  UnknownError = 0 |
  ConnectionRefusedError |
  RemoteHostClosedError |
  HostNotFoundError |
  SocketAccessError |
  SocketResourceError |
  SocketTimeoutError |
  NetworkError |
  UnsupportedSocketOperationError |